Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027834
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2014-10-10 13:112014-12-30 23:22
ReporterpsanjuanView Statuspublic 
Assigned Toeduardo_Argal 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision7d9c64b8e40c
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabaseOracleJava version1.6
OS VersionUbuntu 8.04.1Database version11.1.0.6.0Ant version1.7.0
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027834: Match LC Cost window does not show the landed cost type once matched.

DescriptionMatch LC Cost window does not show the landed cost type once matched.
Steps To ReproduceCreate a landed cost.
Go to Cost tab and select a landed cost type (i.e: Insurance of G/L Item type) and an amount (i.e 1500).
Go to Receipt tab and select a goods receipt
Process landed Cost
Go to purchase invoice and create a new invoice by using Account Insurance (G/L Item). Complete invoice.
Navigate to lines tab again and press Match LC Cost.
Select the landed cost type, enter an amount and select checks "Is Matching Adjusted" and "Process Matching". Press Done.

If you open once more Match LC Cost window from the line, the landed cost type matched should be shown. Match LC cost window is shown empty.
Proposed SolutionIf you open once more Match LC Cost window from the line, the landed cost type matched should be shown. Match LC cost window is shown empty.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0070871)
hgbot (developer)
2014-10-10 13:29

Repository: erp/devel/pi
Changeset: 7d9c64b8e40cf3f797090d210ad19d1f3872e4d1
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Fri Oct 10 13:28:52 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7d9c64b8e40cf3f797090d210ad19d1f3872e4d1 [^]

Fixes bug 27834: Match LC Cost window does not show the landed cost type once matched.

Wrong query (hql in table) and inserter.

---
M src-db/database/sourcedata/AD_TABLE.xml
M src/org/openbravo/common/inserters/LCMatchFromInvoiceInserter.java
---
(0070897)
psanjuan (manager)
2014-10-13 11:00

Verified.
(0070910)
umartirena (developer)
2014-10-13 16:57

Code Review Done.
(0072930)
hudsonbot (developer)
2014-12-30 23:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-10-10 13:11 psanjuan New Issue
2014-10-10 13:11 psanjuan Assigned To => dmiguelez
2014-10-10 13:11 psanjuan Modules => Core
2014-10-10 13:11 psanjuan Triggers an Emergency Pack => No
2014-10-10 13:29 hgbot Checkin
2014-10-10 13:29 hgbot Note Added: 0070871
2014-10-10 13:29 hgbot Status new => resolved
2014-10-10 13:29 hgbot Resolution open => fixed
2014-10-10 13:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7d9c64b8e40cf3f797090d210ad19d1f3872e4d1 [^]
2014-10-13 09:50 psanjuan Assigned To dmiguelez => eduardo_Argal
2014-10-13 11:00 psanjuan Note Added: 0070897
2014-10-13 11:00 psanjuan Status resolved => closed
2014-10-13 16:57 umartirena Note Added: 0070910
2014-12-30 23:22 hudsonbot Checkin
2014-12-30 23:22 hudsonbot Note Added: 0072930


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker